function Initial(node)

%  This function calculates fixed (initial and terminal) and starting solution values for  'node'. 
%  It calls ModInitial which is specific for the model

global T  Ns Periods Successors Predecessor Values States

period=Periods(node);

 %  Calculate Values for this node
 
if period==1
    Values(node,:)=ModInitial(0,1,0);  %  period 1 values, not calculated from predecessor values
else
    Values(node,:)=ModInitial(Values(Predecessor(node),:),period,States(node));  %  calculate values at this node
end

if Periods(node)==T
    return
end

%  Call this routine to calculate successor nodes

for n=1:Ns(period+1)
       Initial(Successors(node,n)); %  move to next period along this branch
end

