function Vars=ModInitial(nowVars,period,state)

%  This function claculates fixed and initial values
%  Called by Initial.m
%  Variables stored by node: A, L, c, k
%  Now refers to exiting values and Next to newly created sucessor values

global alpha delta as ls uStar rkStar

if period==1  %  No Now values--use starting values
    ANext=1;
    LNext=1/(1-uStar);
else
    ANow=nowVars(1);
    LNow=nowVars(2);
    ANext=exp(as(period,state))*ANow;
    LNext=exp(ls(period,state))*LNow;
end
    nNext=LNext*(1-uStar);
    kNext=nNext*(alpha*ANext/(rkStar+delta))^(1/(1-alpha));
    cNext=ANext*kNext^alpha*nNext^(1-alpha)-delta*kNext;
    Vars=[ANext,LNext,cNext,kNext];




