function discsOut=SPMsolve(x)

%  Inserts current trial values 'x' into Values and forms discrepancies by
%  invoking Model via Eval.

%  unks() has a 1 for an unknown and a zero for any other variable
%  unksLow is the offset from period 1 where the variable becomes
%  unknown--e.g., unksLow=1 means the variable becomes unknown in period 2
%  unksHi is the offset from period T when the variable is last unknown--eg
%  unksHi=1 means the last unknown period for the variable is T-1

global unks unksLow unksHi Values Starts Ends T numUnknowns
global discLoc discs Updateds nNodes

%  Insert the trial values in Values 

low=1;
for var=unks
   rlow=Starts(unksLow(var)+1);
   rhigh=Ends(T-unksHi(var));
   range=(rlow:rhigh)';
   nValues=numel(range);
   high=low+nValues-1;
   Values(range,var) = x(low:high);
   low=low+nValues;
end

numUnknowns=numel(x);
discLoc=1;
discs=zeros(numUnknowns,1);

Updateds=zeros(nNodes,1);
Eval(1);
discsOut=discs;